/* ==========================================================================
   Component: Dropdown and Dropdown Menu Item
   ========================================================================== */

.dropdown {
    width: 300px;
    background: var(--color-neutral-100);
    box-shadow: 0px 8px 24px 0px rgba(149, 157, 165, 0.2);
    display: flex;
    flex-direction: column;
    gap: 0;
    padding: var(--spacing-8) 0;
}

.dropdown-menu-item {
    display: flex;
    align-items: center;
    padding: var(--spacing-8) var(--spacing-16);
    background: var(--color-neutral-100);
    text-decoration: none;
    transition: background-color 0.2s ease;
    cursor: pointer;
    border: none;
    height: 35px;
    box-sizing: content-box;
}

.dropdown-menu-item:hover,
.dropdown-menu-item.dropdown-menu-item-hover {
    background: var(--color-neutral-200);
}

.dropdown-menu-item-text {
    font-family: 'Inter', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: var(--color-neutral-600);
}